Bug 2001817 - Failed to load RoleBindings list that will lead to ‘Role name’ is not able to be selected on Create RoleBinding page as well
Summary: Failed to load RoleBindings list that will lead to ‘Role name’ is not able to...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.9
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.10.0
Assignee: Cyril
QA Contact: Xiyun Zhao
URL:
Whiteboard:
Depends On:
Blocks: 2014145
TreeView+ depends on / blocked
 
Reported: 2021-09-07 09:14 UTC by Xiyun Zhao
Modified: 2022-03-10 16:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-03-10 16:07:48 UTC
Target Upstream Version:


Attachments (Terms of Use)
Failed to load role bindings infomation (78.75 KB, image/png)
2021-09-07 09:14 UTC, Xiyun Zhao
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 10060 0 None open Bug 2001817: Failed to load RoleBindings list that will lead to ‘Role name’ is not able to be selected on Create RoleBi... 2021-09-16 13:01:24 UTC
Red Hat Product Errata RHSA-2022:0056 0 None None None 2022-03-10 16:08:19 UTC

Description Xiyun Zhao 2021-09-07 09:14:47 UTC
Created attachment 1821095 [details]
Failed to load role bindings infomation

The page will keep loading when user trying to get RoleBindings information on Project details page -> RoleBindings tab or User Management -> RoleBindings page, this issue will also make user failed to select Role name on ‘Select role name’ dropdown list on Create RoleBinding page, the role name is not able to be selected

Version-Release number of selected component (if applicable):
4.9.0-0.nightly-2021-09-06-055314

How reproducible:
Always

Steps to Reproduce:
1. Login OCP as a normal user, create a project
2. Navigate to the Project details Page -> RoleBindings Tab or User Management -> RoleBindings page
3. Verify if role bindings information is able to show on the page
4. Select one role name on the dropdown list of Role name section
5. Verify if a user is able to select a role name

Actual results:
3. Page will keep loading without any information.
   Also, API requests will be got the error message ‘Failed to load resource: the server responded with a status of 403 (Forbidden)’ on the browse console (Check the error message on snapshot)
5. User is not able to select a role name


Expected results:
3. Role bindings information is able to load correctly
5. User is able to select a role name on the drop-down list

Comment 1 Samuel Padgett 2021-09-07 15:48:31 UTC
Likely a regression from https://github.com/openshift/console/pull/8829, which replaced the role bindings table.

Comment 4 Xiyun Zhao 2021-10-13 07:01:52 UTC
Failed to verified this bug on payload 4.10.0-0.nightly-2021-10-12-203611
@cajieh
Please help to double check if the code change is correct.
Now RoleBindings page will keep loading without any information.
A new attachment has been added for the error of WebSocket connection issue that catched on Broser's console

Comment 6 Cyril 2021-10-13 12:34:47 UTC
@xlyuzhao Again, I tested it in Server Version: 4.10.0-0.nightly-2021-10-13-001151,  and it looks good. Please see the attached: Let me know if you are still having issues verifying it.

Comment 9 Xiyun Zhao 2021-10-14 06:57:44 UTC
This bug has been fixed and verified on payload 4.10.0-0.nightly-2021-10-13-081040
@cajieh
And also please help to confirmed if this bug needs backport to OCP4.9, now the function of RoleBindings is not working on OCP4.9.

Comment 10 Xiyun Zhao 2021-10-14 07:37:09 UTC
This bug has been fixed and verified on payload 4.10.0-0.nightly-2021-10-13-081040

Verification Steps:
1. Login OCP as a normal user, create a project
2. Navigate to the Project details Page -> RoleBindings Tab or User Management -> RoleBindings page
3. Verify if role bindings information is able to show on the page
4. Select one role name on the dropdown list of Role name section
5. Verify if a user is able to select a role name
6. Create a new role binding for the project, verify if the new binding could be listed on the project role binding page

Actual results:
3. Role bindings information is able to load correctly
5. User is able to select a role name on the drop-down list
6. The new created binding information could be found on the RoleBinding list of the project correctly

Comment 14 errata-xmlrpc 2022-03-10 16:07:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.10.3 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:0056


Note You need to log in before you can comment on or make changes to this bug.